import 'billing_address.dart';

class BillingProfile {
  BillingAddress? billingAddress;

  BillingProfile({this.billingAddress});

  BillingProfile.fromJson(Map<String, dynamic> json) {
    this.billingAddress = json['billing'] != null
        ? BillingAddress.fromJson(json['billing'])
        : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.billingAddress != null) {
      data['billing'] = this.billingAddress!.toJson();
    }
    return data;
  }
}
